import request from '@/utils/request'

// 产品规格
export function getDcSpecList(query) {
    return request({
      url: '/spec/getDcSpecList',
      method: 'get',
      params: query
    })
  }

  /* 添加内容 */

  export function addProduct(data) {
    return request({
      url: '/product/add',
      method: 'post',
      data
    })
  }

  /* 产品列表 */

  export function productList(query) {
    return request({
      url: '/product/list',
      method: 'get',
      params: query
    })
  }

  /* 获取产品信息/getInfo/{dcp_id} */

  export function getInfo(query) {
    return request({
      url: `/product/getInfo/${query}`,
      method: 'get'
    })
  }

  /* 编辑产品 */

  export function editProduct(data) {
    return request({
      url: '/product/edit',
      method: 'post',
      data
    })
  }

  /* 删除产品 */

  export function deleteProduct(data) {
    return request({
      url: `/product/delete/${data}`,
      method: 'get'
    })
  }